<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SolutionsPlatformColumnCopy',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <section class="column-copy slp-mt-64">
    <SlpContainer :class="data.no_bottom_border && 'no-bottom-border'">
      <div v-if="data.title" class="column-copy__pill-wrapper">
        <div class="column-copy__pill">
          <SlpIcon
            v-if="data.icon"
            :name="data.icon"
            alt="Icon"
            size="sm"
            variant="marketing"
            class="slp-mr-8"
          />
          <SlpTypography variant="body2-bold" tag="span">
            {{ data.title }}
          </SlpTypography>
        </div>
      </div>
      <SlpTypography
        class="slp-mb-24 subtitle"
        tag="h3"
        variant="heading3-bold"
      >
        {{ data?.subtitle }}
      </SlpTypography>
      <SlpButton
        v-if="data.button.text"
        variant="tertiary"
        :data-ga-name="data.button.data_ga_name"
        :data-ga-location="data.button.data_ga_location"
        :href="data.button.href"
      >
        {{ data.button.text }}
        <SlpIcon
          v-if="data.button.text"
          name="chevron-lg-right"
          alt="Icon"
          variant="product"
        />
      </SlpButton>

      <SlpRow class="slp-my-48">
        <SlpColumn :cols="6">
          <span class="checked-heading">
            <SlpIcon
              name="check"
              color="#A989F5"
              alt="Icon"
              variant="product"
              size="md"
            />
            <SlpTypography class="slp-my-8" tag="p" variant="body1-bold">
              {{ data.left_header }}
            </SlpTypography>
          </span>
          <div
            class="slp-my-8 slp-pr-32 description"
            v-html="$md.render(data.left_description)"
          />
        </SlpColumn>
        <SlpColumn :cols="6">
          <span class="checked-heading">
            <SlpIcon
              name="check"
              color="#A989F5"
              alt="Icon"
              variant="product"
              size="md"
            />
            <SlpTypography class="slp-my-8" tag="p" variant="body1-bold">
              {{ data.right_header }}
            </SlpTypography>
          </span>
          <div
            class="slp-my-8 slp-pr-32 description"
            v-html="$md.render(data?.right_description)"
          />
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.column-copy {
  .slp-container {
    border-bottom: 1px solid $color-surface-200;
  }

  .subtitle {
    max-width: 632px;
  }

  .no-bottom-border {
    border-bottom: 1px solid transparent;
  }

  .description {
    color: $color-text-200;
    font-size: 18px;
    line-height: 28px;
    font-weight: 400;
  }

  .checked-heading {
    display: flex;
    align-items: center;

    .slp-icon {
      margin-right: $spacing-4;
    }
  }

  .slp-btn-tertiary {
    padding: 0;
  }

  &__pill-wrapper {
    margin-bottom: $spacing-16;
    position: relative;
    padding: 4px 12px;
    display: inline-block;

    &::before {
      content: '';
      position: absolute;
      inset: 0;
      border-radius: 20px;
      border: 1.5px solid transparent;
      background: linear-gradient(
          89.09deg,
          #e1986d -1.12%,
          #7759c2 102.06%,
          #6e43d3 102.07%
        )
        border-box;
      -webkit-mask:
        linear-gradient(#fff 0 0) padding-box,
        linear-gradient(#fff 0 0);
      -webkit-mask-composite: xor;
      mask-composite: exclude;
    }
  }

  &__pill {
    display: flex;

    .slp-icon {
      margin-top: 3px;
      width: 18px;
      height: 18px;
    }
  }
}
</style>
